Subject: bug#5751: Strange behaviour of ff-find-other-file

From: Andrew Hyatt <[email-masked]>
Date: Sun, 28 Aug 2016 05:18:11 +0000

On Thu, Aug 25, 2016 at 9:25 PM <[email-masked]> wrote:

> reopen 5751
> tags 5751 - notabug
> severity 5751 wishlist
> retitle 5751 Let ff-find-other-file search other directories (in
> "project"?)
> quit
>
> Andrew Hyatt <[email-masked]> writes:
>
> > Sorry for the delay in response here.  I think I understand what you are
> > saying, but I think we probably would both agree this is more of a
> > feature request than a bug.
> >
> > But I'm not sure it makes sense as a feature request - just because you
> > have foo.c and foo.h, it is dangerous to think they are related just
> > because they both exist as buffers.  I frequently have multiple copies
> > of the same file open in different directories to work on different
> > issues - it would be a bug if ff-find-other-file started flipping
> > between two very different working directories.
> >
> > So, I'm closing this one as not a bug.
>
> I'm reopening, because I think this does make sense as a feature
> request.  Generally foo.c and foo.h will be related if they are in the
> same "project", so probably the user will want the file to be found in
> this case.  I think Emacs recently got some kind of "project API" thing,
> perhaps that can be used for this?
>

This makes more sense the original proposal, but I'm still not so sure.
For example, how many projects have multiple directories with files called
util.c?  Probably quite a few.  I think any assumptions we make here will
be bound to cause problems.